--[[
  MangoStudios Plugin - .ms File Parser

  Plugin by Speed_Limit75
  Sounds by epicdonut

  Change anything below and stuff breaks? Dont change anything below!
]]--

fileSettings = {}
config = {}

config_path = sasl.getProjectPath() .. "/Custom Module/settings.ini"



function loadSettings()

    if isFileExists ( config_path ) then 
        config = sasl.readConfig ( config_path , "ini" )
        for i, v in pairs (config) do
            fileSettings[i] = v
        end
    else
        local warn_hdr = "[MangoStudios A350]:[WARNING] "
        sasl.log(LOG_WARN, false, warn_hdr, "------------------------------------------------------------")
        sasl.log(LOG_WARN, false, warn_hdr, "Could not find MangoStudios A350 settings named...")
        sasl.log(LOG_WARN, false, warn_hdr, config_path)
        sasl.log(LOG_WARN, false, warn_hdr, "------------------------------------------------------------")
    end
    -- Verify this file is for our aircraft
    if fileSettings.aircraft == "A350" then

        if fileSettings.acfversion == 1 then
            set(mangoPass, tonumber(fileSettings["passenger"]))
        else
            sasl.logError("[MS-A350] Settings file is intended for a different version of the soundpack")
        end
    else
        sasl.logError("[MS-A350] Settings file is not for A350.")
    end
    -- changed to reference global d. table 2022-05-28 JJB
    set(d.dref_ms_passengerNoise, fileSettings.passenger)
    set(d.dref_ms_settings_CalloutsSound, fileSettings.callouts)
    set(d.dref_ms_settings_TakeoffSound, fileSettings.rotation)
    set(d.dref_ms_settings_TOPitchSens, fileSettings.pitchsense)

end

function writeSettings()
    
	if sasl.writeConfig ( config_path , "ini" , fileSettings) then
		sasl.logInfo ("MangoStudios A350 settings saving to "..config_path)
	else
		sasl.logError("Error writing MangoStudios A350 settings to "..config_path)
	end

end

registerCommandHandler(cmd_ms_writeSettings, 1, function(phase) 
    if phase == SASL_COMMAND_BEGIN then
        writeSettings()
        return 0
    end
end)
  

loadSettings()


