-- Variables
wasOnGround = 1

-- X-Plane Datarefs
xpAircraftOnGround = globalPropertyi("sim/flightmodel/failures/onground_any")
xpGearDeflection = globalPropertyfae ("sim/flightmodel2/gear/tire_vertical_deflection_mtr", 1)
xpBatteryOn = globalPropertyi("sim/cockpit/electrical/battery_on")
xpAirspeed = globalPropertyf("sim/cockpit2/gauges/indicators/airspeed_kts_copilot")
xpPitch = globalPropertyf ("sim/cockpit2/gauges/indicators/pitch_vacuum_deg_pilot")

-- FF Datarefs
ffV1Speed = createGlobalPropertyi("1-sim/fms/perf/speed/v1")
ffMasterWarn = createGlobalPropertyf("1-sim/lamp/223")
ffMasterCaut = createGlobalPropertyf("1-sim/lamp/224")

function update()
  -- Battery sound
  set(mangoBattery, get(xpBatteryOn))

  -- "V1"
  if (get(xpAirspeed) == get(ffV1Speed)) and (get(ffV1Speed) ~= 0) then
    set(mangoV1, 1)
  else
    set(mangoV1, 0)
  end

  if (get(xpGearDeflection) == 0) and (wasOnGround == 1) and get(xpPitch) >= get(d.dref_ms_settings_TOPitchSens) then
    set(mangoRotate, 1)
    wasOnGround = 0
  else
    set(mangoRotate, 0)
  end

  -- Master Warning & Caution
  set(mangoMasterWarn, math.floor(get(ffMasterWarn)))
  set(mangoMasterCaution, math.floor(get(ffMasterCaut)))

  -- -- Sound on aircraft landing   *** NOT NEEDED FOR A330 soundpack JJB
  -- if get(mangoLandingHardness) == 0 then
  --   if (get(xpAircraftOnGround) == 1) and (wasOnGround == 0) then
  --     wasOnGround = 1
  --     if get(d.dref_xp_verticalspeed) < 0 and get(d.dref_xp_verticalspeed) >= -400 then
  --       set(mangoLandingHardness, 1)
  --     elseif get(d.dref_xp_verticalspeed) < -400 and get(d.dref_xp_verticalspeed) >= -900 then
  --       set(mangoLandingHardness, 2)
  --     elseif get(d.dref_xp_verticalspeed) < 900 then
  --       set(mangoLandingHardness, 3)
  --     end
  --   end
  -- elseif (get(xpAircraftOnGround) == 0) then
  --   set(mangoLandingHardness, 0)
  -- end

  -- Sound on aircraft rotation
  -- if (get(xpAircraftOnGround) == 0) and (wasOnGround == 1) then
  --   set(mangoRotate, 1)
  --   wasOnGround = 0
  -- else
  --   set(mangoRotate, 0)
  -- end
end