--[[
  MangoStudios Plugin - Main File

  Plugin by Speed_Limit75
  Sounds by epicdonut

  Change anything below and stuff breaks? Dont change anything below!
]]--
mango = {}
mango.version = "2.03"
print ("A350 Soundpack plugin ver. "..mango.version)
sasl.options.setAircraftPanelRendering(false)
sasl.options.set3DRendering(false)
sasl.options.setInteractivity(true)

-- Mango Studios Datarefs
mangoLandingHardness = createGlobalPropertyf("MangoStudios/A350/LandingHardness", 0)
mangoAltitudeHorn = createGlobalPropertyf("MangoStudios/A350/Altitudehorn", 0)
mangoRotate = createGlobalPropertyf("MangoStudios/A350/Rotate", 0)
mangoMinimums = createGlobalPropertyf("MangoStudios/A350/Minimums", 0)
mangoPlus100 = createGlobalPropertyf("MangoStudios/A350/Plus100", 0)
mangoV1 = createGlobalPropertyf("MangoStudios/A350/V1", 0)
mangoGlideslope = createGlobalPropertyf("MangoStudios/A350/Glideslope", 0)
mangoObstacleAheadPull = createGlobalPropertyf("MangoStudios/A350/Obstacleaheadpull", 0)
mangoObstacleAheadx2 = createGlobalPropertyf("MangoStudios/A350/Obstacleaheadx2", 0)
mangoTerrainAheadPull = createGlobalPropertyf("MangoStudios/A350/Terraheadpull", 0)
mangoTerrainAheadx2 = createGlobalPropertyf("MangoStudios/A350/Terrainaheadx2", 0)
mangoTerrx2 = createGlobalPropertyf("MangoStudios/A350/Terrx2", 0)
mangoTooLowFlaps = createGlobalPropertyf("MangoStudios/A350/Toolowflaps", 0)
mangoTooLowGear = createGlobalPropertyf("MangoStudios/A350/Toolowgear", 0)
mangoTooLowTerr = createGlobalPropertyf("MangoStudios/A350/Toolowterr", 0)
mangoTraffic = createGlobalPropertyf("MangoStudios/A350/Trafficx2", 0)
mangoWindshear = createGlobalPropertyf("MangoStudios/A350/Windshear", 0)
mangoMasterWarn = createGlobalPropertyf("MangoStudios/A350/Masterwarning", 0)
mangoMasterCaution = createGlobalPropertyf("MangoStudios/A350/Mastercaution", 0)
mangoBattery = createGlobalPropertyf("MangoStudios/A350/Battery", 0)
mangoGenerator = createGlobalPropertyf("MangoStudios/A350/Generator", 0)
mangoPass = createGlobalPropertyf("MangoStudios/A350/Passengers", 0)

d = {}
d.dref_ms_settings_CalloutsSound = createGlobalPropertyi("MangoStudios/A350/sound_settings/callouts", 0)
d.dref_ms_settings_TakeoffSound = createGlobalPropertyi("MangoStudios/A350/sound_trigger/takeoff", 0)
d.dref_ms_passengerNoise = createGlobalPropertyi ("MangoStudios/A350/sound_settings/passenger_noise", 0)
d.dref_ms_settings_TOPitchSens = createGlobalPropertyf ("MangoStudios/A350/sound_settings/pitch_sensitivity", 0.0)

-- MangoStudios Commands
cmd_ms_openSettings = createCommand("MangoStudios/OpenSettings", "Open Soundpack Settings")
cmd_ms_writeSettings = createCommand("MangoStudios/WriteSettings", "Write Soundpack Settings")

local settingsPopup = contextWindow {
  name = "A350 Soundpack Settings",
  position = {50, 50, 800, 600},
  savePosition = true;
  noBackground = true;
  noResize = true;
  proportionalToXWindow = false;
  components = {
      settings {
          position = {0, 0, 800, 600},
          maximumSize = {800, 600},
      }
  }
}

menuItemID = sasl.appendMenuItem(PLUGINS_MENU_ID, "A350 Soundpack")
menuID = sasl.createMenu("A350 Soundpack", PLUGINS_MENU_ID, menuItemID)
sasl.appendMenuItem(menuID, "Open Settings", function()
  settingsPopup:setIsVisible(true)
end)

registerCommandHandler(cmd_ms_openSettings, 1, function(phase) 
  if phase == SASL_COMMAND_BEGIN then
    settingsPopup:setIsVisible(true)
    return 0
  end
end)

components = {
  msparser {},
  refresh {}
}